List a product's general documents
curl --request GET \
--url https://api.korint.io/products/{productId}/documents \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/products/{productId}/documents"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/products/{productId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"path": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"signedUrl": "<string>"
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}documents
List a product's general documents
GET
/
products
/
{productId}
/
documents
List a product's general documents
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
The productId
Query Parameters
the number of items to return
the page to retrieve
Response
200 - application/json
Was this page helpful?
⌘I

